/*****************************************************
Project :keypad with 1 adc 
Version : 
Date    : 10/6/2012
Author  : hadi                            
Company : kh73                            
Comments: 
Chip type           : ATmega8
Program type        : Application
Clock frequency     : 1.000000 MHz
Memory model        : Small
External SRAM size  : 0
Data Stack size     : 256
*****************************************************/

#include <mega8.h>
#asm
   .equ __lcd_port=0x12 ;PORTD
#endasm
#include <lcd.h>
#include <delay.h>
#define ADC_VREF_TYPE 0x40
// Read the AD conversion result
unsigned int read_adc(unsigned char adc_input)
{
ADMUX=adc_input | (ADC_VREF_TYPE & 0xff);
delay_us(10);
ADCSRA|=0x40;
while ((ADCSRA & 0x10)==0);
ADCSRA|=0x10;
return ADCW;
}


void main(void)
{
int a;
PORTC=0x00;
DDRC=0x00;
ADMUX=ADC_VREF_TYPE & 0xff;
ADCSRA=0x83;
lcd_init(16);
lcd_gotoxy(0,0);
lcd_putsf("WWW.IranLED.COM");     
delay_ms(2000);
lcd_clear();
while (1)
      {
      a=read_adc(0);
      if (a==2){
      lcd_gotoxy(0,0);
      lcd_putsf("  ");
      };
      //**************
      if (a==362){
      lcd_gotoxy(0,0);
      lcd_putsf("7");
      };              
      //**************
      if (a==352){
      lcd_gotoxy(0,0);
      lcd_putsf("4");
      };              
      //**************
      if (a==340){
      lcd_gotoxy(0,0);
      lcd_putsf("1");
      };              
      //**************
      if (a==330){
      lcd_gotoxy(0,0);
      lcd_putsf("on");
      };              
      //**************
      if (a==559){
      lcd_gotoxy(0,0);
      lcd_putsf("8");
      };              
      //**************
      if (a==535){
      lcd_gotoxy(0,0);
      lcd_putsf("5");
      };              
      //**************
      if (a==508){
      lcd_gotoxy(0,0);
      lcd_putsf("2");
      };              
      //**************
      if (a==486){
      lcd_gotoxy(0,0);
      lcd_putsf("0");
      };              
      //**************
      if (a==773){
      lcd_gotoxy(0,0);
      lcd_putsf("9");
      };              
      //**************
      if (a==727){
      lcd_gotoxy(0,0);
      lcd_putsf("6");
      };              
      //**************
      if (a==679){
      lcd_gotoxy(0,0);
      lcd_putsf("3");
      };              
      //**************
      if (a==640){
      lcd_gotoxy(0,0);
      lcd_putsf("=");
      };              
      //**************
      if (a==1023){
      lcd_gotoxy(0,0);
      lcd_putsf("/");
      };              
      //**************
      if (a==945){
      lcd_gotoxy(0,0);
      lcd_putsf("X");
      };              
      //**************
      if (a==865){
      lcd_gotoxy(0,0);
      lcd_putsf("-");
      };              
      //**************
      if (a==803){
      lcd_gotoxy(0,0);
      lcd_putsf("+");
      };              
      //**************
      };
}
